Bug 602410 - git-cvs missing requires perl-DBD-SQLite
Summary: git-cvs missing requires perl-DBD-SQLite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 19:43 UTC by Michael Cronenworth
Modified: 2013-04-30 23:46 UTC (History)
7 users (show)

Fixed In Version: git-1.7.4.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 21:35:15 UTC


Attachments (Terms of Use)

Description Michael Cronenworth 2010-06-09 19:43:45 UTC
Description of problem: I installed git-cvs to provide pserver emulation to a git repository. yum install git-cvs resulted in the pulling in of cvsps and perl-DBI. When I attempted to perform a "cvs co master" I was given a perl error about missing SQLite support. I had to yum install perl-DBD-SQLite to have cvs co master work.


Version-Release number of selected component (if applicable): git-cvs-1.7.0.1-1.fc13


How reproducible: 


Steps to Reproduce:
1. yum install git-cvs
2. start xinetd
3. on remote system, cvs -d:pserver:anonymous@git.repo.com:/srv/git/repo.git co master
  
Actual results: Error message from perl declaring missing SQLite support.


Expected results: cvs checkout

Comment 1 Adam Tkac 2011-03-28 14:46:15 UTC
This issue won't be fixed in Fedora 13, moving to Fedora 14.

Comment 2 Fedora Update System 2011-03-28 14:53:50 UTC
git-1.7.4.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/git-1.7.4.2-1.fc15

Comment 3 Fedora Update System 2011-03-28 14:54:08 UTC
git-1.7.4.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/git-1.7.4.2-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:19:34 UTC
Package git-1.7.4.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-1.7.4.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/git-1.7.4.2-1.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-05 21:34:59 UTC
git-1.7.4.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-04-06 22:36:13 UTC
git-1.7.4.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.